Package org.flowable.dmn.api

# Class DecisionServiceExecutionAuditContainer

java.lang.Object
org.flowable.dmn.api.DecisionExecutionAuditContainer
org.flowable.dmn.api.DecisionServiceExecutionAuditContainer

public class DecisionServiceExecutionAuditContainer extends DecisionExecutionAuditContainer

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Map<String,DecisionExecutionAuditContainer>`
  `childDecisionExecutions`
  `protected Map<String,List<Map<String,Object>>>`
  `decisionServiceResult`

  ### Fields inherited from class org.flowable.dmn.api.DecisionExecutionAuditContainer

  `decisionKey, decisionName, decisionResult, decisionResultTypes, decisionVersion, dmnDeploymentId, endTime, exceptionMessage, failed, hitPolicy, inputVariables, inputVariableTypes, multipleResults, ruleExecutions, startTime, strictMode, validationMessage`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecisionServiceExecutionAuditContainer()`
  `DecisionServiceExecutionAuditContainer(String id, String name, int decisionVersion, boolean strictMode, Map<String,Object> variables, Date startTime)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addChildDecisionExecution(String decisionKey, DecisionExecutionAuditContainer decisionResult)`
  `void`
  `addDecisionServiceResult(String decisionKey, List<Map<String,Object>> decisionResult)`
  `DecisionExecutionAuditContainer`
  `getChildDecisionExecution(String decisionKey)`
  `Map<String,DecisionExecutionAuditContainer>`
  `getChildDecisionExecutions()`
  `Map<String,List<Map<String,Object>>>`
  `getDecisionServiceResult()`
  `List<Map<String,Object>>`
  `getDecisionServiceResultForDecision(String decisionKey)`
  `void`
  `setChildDecisionExecutions(Map<String,DecisionExecutionAuditContainer> childDecisionExecutions)`
  `void`
  `setDecisionServiceResult(Map<String,List<Map<String,Object>>> decisionServiceResult)`

  ### Methods inherited from class org.flowable.dmn.api.DecisionExecutionAuditContainer

  `addDecisionResultObject, addDecisionResultType, addInputEntry, addInputEntry, addOutputEntry, addOutputEntry, addRuleEntry, createDefensiveCopyInputVariables, getDecisionKey, getDecisionName, getDecisionResult, getDecisionResultTypes, getDecisionVersion, getDmnDeploymentId, getEndTime, getExceptionMessage, getHitPolicy, getInputVariables, getInputVariableTypes, getRuleExecutions, getStartTime, getValidationMessage, getVariablesTypeMap, isBoolean, isDate, isFailed, isMultipleResults, isNumber, isStrictMode, markRuleEnd, markRuleValid, setDecisionResult, setDmnDeploymentId, setExceptionMessage, setFailed, setInputVariableTypes, setMultipleResults, setStrictMode, setValidationMessage, stopAudit`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### decisionServiceResult

    protected Map<String,List<Map<String,Object>>> decisionServiceResult

  - ### childDecisionExecutions

    protected Map<String,DecisionExecutionAuditContainer> childDecisionExecutions

- ## Constructor Details

  - ### DecisionServiceExecutionAuditContainer

    public DecisionServiceExecutionAuditContainer()

  - ### DecisionServiceExecutionAuditContainer

    public DecisionServiceExecutionAuditContainer(String id, String name, int decisionVersion, boolean strictMode, Map<String,Object> variables, Date startTime)

- ## Method Details

  - ### getDecisionServiceResult

    public Map<String,List<Map<String,Object>>> getDecisionServiceResult()

  - ### setDecisionServiceResult

    public void setDecisionServiceResult(Map<String,List<Map<String,Object>>> decisionServiceResult)

  - ### addDecisionServiceResult

    public void addDecisionServiceResult(String decisionKey, List<Map<String,Object>> decisionResult)

  - ### getDecisionServiceResultForDecision

    public List<Map<String,Object>> getDecisionServiceResultForDecision(String decisionKey)

  - ### getChildDecisionExecution

    public DecisionExecutionAuditContainer getChildDecisionExecution(String decisionKey)

  - ### addChildDecisionExecution

    public void addChildDecisionExecution(String decisionKey, DecisionExecutionAuditContainer decisionResult)

  - ### getChildDecisionExecutions

    public Map<String,DecisionExecutionAuditContainer> getChildDecisionExecutions()

  - ### setChildDecisionExecutions

    public void setChildDecisionExecutions(Map<String,DecisionExecutionAuditContainer> childDecisionExecutions)